// import 'package:firebase_crashlytics/firebase_crashlytics.dart';
// import 'package:flutter/material.dart';
import 'package:hmg_flutter_template/config/app_state.dart';
import 'package:hmg_flutter_template/services/api_client.dart';
import 'package:hmg_flutter_template/services/api_repo/dashboard_api_repo.dart';
import 'package:hmg_flutter_template/services/api_repo/login_api_repo.dart';
import 'package:hmg_flutter_template/services/api_repo/patient_api_repo.dart';

import 'package:hmg_flutter_template/services/firebase_service.dart';
import 'package:injector/injector.dart';

class AppDependencies {
  static void addDependencies() {
    Injector injector = Injector.appInstance;

    //add dependencies as needed
    //services
    injector.registerSingleton<AppState>(() => AppState());
    injector.registerSingleton<IApiClient>(() => ApiClient());
    injector.registerSingleton<IFirebaseService>(() => FirebaseService());

    //repos
    injector.registerSingleton<ILoginApiRepo>(() => LoginApiRepo());
    injector.registerSingleton<IDashboardApiRepo>(() => DashboardApiRepo());
    injector.registerSingleton<IPatientApiRepo>(() => PatientApiRepo());
  }
}
